Subject: bug#45184: closed (Re: bug#45184: 26.1; Private Unicode plains 15 and 16 seem not supported)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Dec 2020 18:35:02 +0000

Your bug report

#45184: 26.1; Private Unicode plains 15 and 16 seem not supported

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45184: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45184
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45184: 26.1; Private Unicode plains 15 and 16 seem not supported
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 12 Dec 2020 20:34:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: [email-masked] (Janusz S. Bień)
> Cc: [email-masked]
> Date: Sat, 12 Dec 2020 19:30:21 +0100
> 
> When I make the font the default one in the command line
> 
> emacs -fn "JuniusX"
> 
> the characters are displayed correctly.

This probably means that if you customize fontset-default to use this
font for the range of codepoints you want it to be used, the problem
will be resolved even without specifying the font as the default one.

> So I suggest to close this bug. 

OK, done.

> There are definitely some problems with font selection, but I have to
> investigate them more carefully.

When you have reached some conclusions, please reopen this bug or file
a new one with the details.

Thanks.

Subject: 26.1; Private Unicode plains 15 and 16 seem not supported
From: [email-masked] (Janusz S. Bień)
To: [email-masked]
Date: Fri, 11 Dec 2020 18:55:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I intend to use plains 15 and/or 16 for the historical variant of Polish
letters. An appropriate font is understand preparation, but not yet
available publicty.

When the font was installed in ./loca/share/fonts, a QT program found it
and displayed the characters correctly. Emacs, to the contrary, for

character: 󰀀 (displayed as 󰀀) (codepoint 983040, #o3600000, #xf0000)

reports "no font available".

Best regards

Janusz

In GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 of 2019-09-23, modified by Debian built on x86-grnet-01
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description:	Debian GNU/Linux 10 (buster)

-- 
             ,   
Janusz S. Bien
emeryt (emeritus)
https://sites.google.com/view/jsbien